=== debian/changelog ===
packetfence (5.6.0) unstable; urgency=low

  * Version 5.6.0

 -- Inverse <info@inverse.ca> Wed, 13 Jan 2016 12:00:00 -0400

packetfence (5.5.1) unstable; urgency=low

  * Version 5.5.1

 -- Inverse <info@inverse.ca> Fri, 27 Nov 2015 12:00:00 -0400

packetfence (5.5.0) unstable; urgency=low

  * Version 5.5.0

 -- Inverse <info@inverse.ca> Fri, 20 Nov 2015 12:00:00 -0400

packetfence (5.4.0) unstable; urgency=low

  * Version 5.4.0

 -- Inverse <info@inverse.ca> Thu,  1 Oct 2015 12:00:00 -0400

packetfence (5.3.0) unstable; urgency=low

  * Version 5.3.0

 -- Inverse <info@inverse.ca> Tue, 21 Jul 2015 12:00:00 -0400

packetfence (5.2.0) unstable; urgency=low

  * Version 5.2.0

 -- Inverse <info@inverse.ca> Thu, 18 Jun 2015 12:00:00 -0400

packetfence (5.1.0) unstable; urgency=low

  * Version 5.1.0

 -- Inverse <info@inverse.ca> Tue, 26 May 2015 12:00:00 -0400

packetfence (5.0.2) unstable; urgency=low

  * Version 5.0.2

 -- Inverse <info@inverse.ca> Fri, 01 May 2015 12:00:00 -0400

packetfence (5.0.1) unstable; urgency=low

  * Version 5.0.1

 -- Inverse <info@inverse.ca> Wed, 22 Apr 2015 12:00:00 -0400

packetfence (5.0.0) unstable; urgency=low

  * Version 5.0.0

 -- Inverse <info@inverse.ca> Wed, 15 Apr 2015 12:00:00 -0400

packetfence (4.7.0) unstable; urgency=low

  * Version 4.7.0

 -- Inverse <info@inverse.ca> Fri, 06 Mar 2015 12:00:00 -0400

packetfence (4.6.1) unstable; urgency=low

  * Version 4.6.1

 -- Inverse <info@inverse.ca> Thu, 19 Feb 2015 12:00:00 -0400

packetfence (4.6.0) unstable; urgency=low

  * Version 4.6.0

 -- Inverse <info@inverse.ca> Wed, 04 Feb 2015 12:00:00 -0400

packetfence (4.5.1) unstable; urgency=low

  * Version 4.5.1

 -- Inverse <info@inverse.ca> Mon, 10 Nov 2014 12:00:00 -0400

packetfence (4.5.0) unstable; urgency=low

  * Version 4.5.0

 -- Inverse <info@inverse.ca>  Wed, 22 Oct 2014 12:00:00 -0400

packetfence (4.4.0) unstable; urgency=low

  * Version 4.4.0

 -- Inverse <info@inverse.ca>  Wed, 10 Sep 2014 12:00:00 -0400

packetfence (4.3.0) unstable; urgency=low

  * Version 4.3.0

 -- Inverse <info@inverse.ca>  Thu, 26 Jun 2014 12:00:00 -0400

packetfence (4.2.2) unstable; urgency=low

  * Version 4.2.2

 -- Inverse <info@inverse.ca>  Tue, 29 May 2014 12:00:00 -0400

packetfence (4.2.1) unstable; urgency=low

  * Version 4.2.1

 -- Inverse <info@inverse.ca>  Tue, 16 May 2014 12:00:00 -0400

packetfence (4.2.0) unstable; urgency=low

  * Version 4.2.0

 -- Inverse <info@inverse.ca>  Tue, 6 May 2014 12:00:00 -0400

packetfence (4.1.0) unstable; urgency=low

  * Version 4.1.0

 -- Francis Lachapelle <flachapelle@inverse.ca>  Wed, 11 Dec 2013 12:00:00 -0400

packetfence (4.0.6) unstable; urgency=low

  * Version 4.0.6

 -- Francis Lachapelle <flachapelle@inverse.ca>  Thu, 5 Sep 2013 12:00:00 -0400

packetfence (4.0.5) unstable; urgency=low

  * Version 4.0.5

 -- Francis Lachapelle <flachapelle@inverse.ca> Fri, 9 Aug 2013 12:00:00 -0400

packetfence (4.0.4) unstable; urgency=low

  * Version 4.0.4

 -- Francis Lachapelle <flachapelle@inverse.ca>  Mon, 5 Aug 2013 12:00:00 -0400

packetfence (4.0.3) unstable; urgency=low

  * Version 4.0.3

 -- Francis Lachapelle <flachapelle@inverse.ca>  Mon, 22 Jul 2013 12:00:00 -0400

packetfence (4.0.2) unstable; urgency=low

  * Version 4.0.2

 -- Francis Lachapelle <flachapelle@inverse.ca>  Fri, 12 Jul 2013 12:00:00 -0400

packetfence (4.0.0) unstable; urgency=low

  * Version 4.0.0

 -- Francis Lachapelle <flachapelle@inverse.ca>  Wed, 8 May 2013 12:00:00 -0400

packetfence (3.6.1) unstable; urgency=low

  * Version 3.6.1

 -- Derek Wuelfrath <dwuelfrath@inverse.ca>  Thu, 10 Oct 2012 17:12:00 -0400

packetfence (3.6.0) unstable; urgency=low

  * Version 3.6.0

 -- Francois Gaudreault <fgaudreault@inverse.ca>  Thu, 25 Oct 2012 15:01:00 -0400

packetfence (3.5.1) unstable; urgency=low

  * Version 3.5.1

 -- Olivier Bilodeau <obilodeau@inverse.ca>  Wed, 05 Sep 2012 13:36:00 -0400

packetfence (3.5.0) unstable; urgency=low

  * Version 3.5.0

 -- Derek Wuelfrath <dwuelfrath@inverse.ca>  Wed, 01 Aug 2012 11:42:00 -0400

packetfence (3.4.1) unstable; urgency=low

  * Version 3.4.1

 -- Olivier Bilodeau <obilodeau@inverse.ca>  Mon, 18 Apr 2012 11:17:00 -0400

packetfence (3.4.0) unstable; urgency=low

  * Version 3.4.0

 -- Olivier Bilodeau <obilodeau@inverse.ca>  Wed, 13 Apr 2012 14:10:03 -0400

packetfence (3.3.2) unstable; urgency=low

  * Version 3.3.2

 -- Olivier Bilodeau <obilodeau@inverse.ca>  Mon, 23 Apr 2012 13:24:03 -0400

packetfence (3.3.1-1) unstable; urgency=low

  * Version 3.3.1

 -- Durand fabrice <fdurand@inverse.ca>  Wed, 16 Apr 2012 14:41:28 -0400

packetfence (3.2.0-2) unstable; urgency=low

  * Change postinst

 -- Durand fabrice <fdurand@inverse.ca>  Wed, 16 Apr 2012 14:36:28 -0400

packetfence (3.2.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Durand fabrice <fdurand@inverse.ca>  Wed, 04 Apr 2012 14:36:28 -0400
